Spaces method and path for this operation:
get /s/{space_id}/api/agent_builder/skills/{skillId}
Refer to Spaces for more information.
Get a specific skill by ID. To learn more about Agent Builder skills, refer to the skills documentation.
[Required authorization] Route required privileges: agentBuilder:read.
GET
/api/agent_builder/skills/{skillId}
curl
curl \
-X GET "https://${KIBANA_URL}/api/agent_builder/skills/{skillId}" \
-H "Authorization: ApiKey ${API_KEY}"
GET kbn:/api/agent_builder/skills/{skillId}
Response examples (200)
Example response returning a skill by ID
{
"content": "You are an expert data analyst. Use the available tools to query and analyze data.",
"description": "A skill for performing custom data analysis.",
"experimental": false,
"id": "my-custom-skill",
"name": "Custom Analysis Skill",
"readonly": false,
"tool_ids": [
"platform.core.search"
]
}